CacheDisk.h File Reference

Header file for CacheDisk class. More...

`#include <map>`
`#include <deque>`
`#include <memory>`
`#include "CacheBase.h"`
`#include "Frame.h"`
`#include "Exceptions.h"`
`#include <QDir>`
`#include <QString>`
`#include <QTextStream>`

Go to the source code of this file.

## Classes

class | openshot::CacheDisk
| This class is a disk-based cache manager for Frame objects. More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for CacheDisk class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file CacheDisk.h.